package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcSslx;

/**
 * 涉事类型Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcSslxService 
{
    /**
     * 查询涉事类型
     * 
     * @param id 涉事类型主键
     * @return 涉事类型
     */
    public TcSslx selectTcSslxById(Long id);

    /**
     * 查询涉事类型列表
     * 
     * @param tcSslx 涉事类型
     * @return 涉事类型集合
     */
    public List<TcSslx> selectTcSslxList(TcSslx tcSslx);

    /**
     * 新增涉事类型
     * 
     * @param tcSslx 涉事类型
     * @return 结果
     */
    public int insertTcSslx(TcSslx tcSslx);

    /**
     * 修改涉事类型
     * 
     * @param tcSslx 涉事类型
     * @return 结果
     */
    public int updateTcSslx(TcSslx tcSslx);

    /**
     * 批量删除涉事类型
     * 
     * @param ids 需要删除的涉事类型主键集合
     * @return 结果
     */
    public int deleteTcSslxByIds(Long[] ids);

    /**
     * 删除涉事类型信息
     * 
     * @param id 涉事类型主键
     * @return 结果
     */
    public int deleteTcSslxById(Long id);


    /**
     * 导入涉事类型信息
     *
     * @return 结果
     */
    public String importUser(List<TcSslx> tcSslxList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
